Package org.codehaus.groovy.runtime

# Class ScriptTestAdapter

java.lang.Object
org.codehaus.groovy.runtime.ScriptTestAdapter

All Implemented Interfaces:
  `junit.framework.Test`

public class ScriptTestAdapter extends Object implements junit.framework.Test
An adapter to make any Groovy Script class an instance of a JUnit Test

## Constructor Summary

Constructors
Constructor
Description
`ScriptTestAdapter(Class scriptClass, String[] arguments)`

## Method Summary

Modifier and Type
Method
Description
`int`
`countTestCases()`
`void`
`run(junit.framework.TestResult result)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptTestAdapter

public ScriptTestAdapter(Class scriptClass, String[] arguments)

## Method Details

### countTestCases

public int countTestCases()

Specified by:
  `countTestCases` in interface `junit.framework.Test`

### run

public void run(junit.framework.TestResult result)

Specified by:
  `run` in interface `junit.framework.Test`

### toString

public String toString()

Overrides:
  `toString` in class `Object`